# Windows

## Prerequisites

### 1. Install WSL

{% embed url="<https://learn.microsoft.com/en-us/windows/wsl/install>" %}

If you prefer not to follow the Microsoft WSL guide, you can follow our step-by-step instructions below:

#### Check if WSL is installed

On Windows 10/11, WSL usually comes preinstalled. For earlier Windows versions that don't support WSL, please upgrade your system.

To check whether WSL is already installed (if version info is displayed, it's installed):

```
wsl.exe --version
```

#### Install Ubuntu

```
 wsl.exe --install --distribution Ubuntu --web-download
```

#### Verify Installation

If you see the following output, it means the node was installed successfully:

```
wsl.exe --list
```

#### Start Ubuntu and set root password

Launch Ubuntu. The first time you start it, you will be prompted to set a root password. Please remember it.

```
 wsl.exe -d Ubuntu

```

Register node

```sh
curl 'https://www.janction.ai/v0/node/install.sh' |  NODE_ID=153da422-d22e-41ea-aad0-abd4c585d988 bash -s install
```

If you see the following output, it means the node was installed successfully:

```
Congratulations! Installation completed successfully!
 === EdgeCore Configuration Summary === 
KubeEdge Version: v1.20.0
Configuration Status:
- metaServer: enabled
- edgeMesh: disabled
- edgeStream: enabled
Backup File: /etc/kubeedge/config/edgecore.yaml.20250720_000731.bak
=======================================

=== Service Management Commands ===
To start edgecore service:
  systemctl start edgecore
To check edgecore service status:
  systemctl status edgecore
To stop edgecore service:
  systemctl stop edgecore
=======================================
    
```

#### WSL VM Management

Use these commands to manage the WSL virtual machine:

**View running virtual machines:**

```
 wsl.exe --list --verbose
```

**Start the Ubuntu VM:**

```
 wsl.exe -d Ubuntu
```

**Shutdown running VMs:**

```
wsl.exe --shutdown
```

**Delete Ubuntu VM:**

```
$ wsl.exe --unregister Ubuntu
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.janction.ai/gpu-marketplace/node-deployment-tutorial/windows.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
